function y=AjustMAP(time,c)

global S1 S2 Mtime ME

% global parameter
    background=c(1);% background

% parameter of the first contribution
    A1        =c(2);% Estimated amplitude
    t1        =c(3);% centre temporal
    slope1    =c(4);% temporal slope
    E1        =c(5);% central energy
    W1        =c(6);% energy width    

% parameter of the second contribution
    A2        =c(7);% Estimated amplitude
    t2        =c(8);% centre temporal
    slope2    =c(9);% temporal slope
    E2        =c(10);% central energy
    W2        =c(11);% energy width    

% calculation of the contributions    
    M1t=1./( 1+exp(-(Mtime-t1)/slope1) );
    M1E=exp(-4*log(2)*(ME-E1).^2/W1^2);
    M1=A1*M1t.*M1E;
    
    M2t=1./( 1+exp(-(Mtime-t2)/slope2) );
    M2E=exp(-4*log(2)*(ME-E2).^2/W2^2);
    M2=A2*M2t.*M2E;
    
    Mtot=M1+M2+background;
 y=reshape(Mtot,S1*S2,1);
